#include "testApp.h"
//--------------------------------------------------------------
void testApp::setup(){
    //environment
    ofBackground(0, 0, 0);
    ofEnableAlphaBlending();
    ofEnableSmoothing();
    //values
    for(int i=0; i<numTriangles; i++){
        myTriangles[i].x1 = ofRandomWidth();
        myTriangles[i].y1 = ofRandomHeight();
        myTriangles[i].x2 = ofRandomWidth();
        myTriangles[i].y2 = ofRandomHeight();
        myTriangles[i].speedX1 = ofRandomf();
        myTriangles[i].speedY1 = ofRandomf();
        myTriangles[i].speedX2 = ofRandomf();
        myTriangles[i].speedY2 = ofRandomf();
        myTriangles[i].green = ofRandom(255);
    }
}
//--------------------------------------------------------------
void testApp::update(){
    for(int i=0; i<numTriangles; i++){
        //2 next lines of code are the same
        //myTriangles[i].x1=myTriangles[i].x1+myTriangles[i].speedX1;
        myTriangles[i].x1+=myTriangles[i].speedX1;
        myTriangles[i].y1+=myTriangles[i].speedY1;
        myTriangles[i].x2+=myTriangles[i].speedX2;
        myTriangles[i].y2+=myTriangles[i].speedY2;
        if(myTriangles[i].x1<0||myTriangles[i].x1>ofGetWidth()){
            //2 next lines of code are the same
            //myTriangles[i].speedX1=myTriangles[i].speedX1*-1;
            myTriangles[i].speedX1*=-1;
        }
        if(myTriangles[i].y1<0||myTriangles[i].y1>ofGetHeight()){
            myTriangles[i].speedY1*=-1;
        }
        if(myTriangles[i].x2<0||myTriangles[i].x2>ofGetWidth()){
            myTriangles[i].speedX2*=-1;
        }
        if(myTriangles[i].y2<0||myTriangles[i].y2>ofGetHeight()){
            myTriangles[i].speedY2*=-1;
        }
    }
    printf("Frame rate: %f \n", ofGetFrameRate());
}
//--------------------------------------------------------------
void testApp::draw(){
    for(int i=0; i<numTriangles; i++){
        ofSetColor(255, myTriangles[i].green, 0, 100);
        ofTriangle(myTriangles[i].x1, myTriangles[i].y1, myTriangles[i].x2, myTriangles[i].y2, mouseX, mouseY);
    }
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}