#pragma once

#include "ofMain.h"

#define numTriangles 50

class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
    
    struct movingTriangle{
        float x1;
        float y1;
        float x2;
        float y2;
        float speedX1;
        float speedY1;
        float speedX2;
        float speedY2;
        int green;
    };
    
    movingTriangle myTriangles[numTriangles];
};
